org.apache.ignite.internal.processors.cache

## Class GridCacheEntryInfoCollectSwapListener

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheEntryInfoCollectSwapListener

All Implemented Interfaces:
  GridCacheSwapListener

    public class GridCacheEntryInfoCollectSwapListener
    extends Object
    implements GridCacheSwapListener

### Constructor Summary

Constructors
Constructor and Description
`GridCacheEntryInfoCollectSwapListener(IgniteLogger log)`

### Method Summary

Methods
`Collection<GridCacheEntryInfo>` `entries()`
`void` `onEntryUnswapped(int part, KeyCacheObject key, GridCacheSwapEntry swapEntry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridCacheEntryInfoCollectSwapListener

    public GridCacheEntryInfoCollectSwapListener(IgniteLogger log)

Parameters:
  `log` - Logger.

### Method Detail

#### onEntryUnswapped

    public void onEntryUnswapped(int part,
                        KeyCacheObject key,
                        GridCacheSwapEntry swapEntry)

Specified by:
  `onEntryUnswapped` in interface `GridCacheSwapListener`
Parameters:
  `part` - Partition.
  `key` - Cache key.
  `swapEntry` - Entry.

#### entries

    public Collection<GridCacheEntryInfo> entries()

Returns:
  Entries, received by listener.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016